Subject: Re: bug#31446: 26.1; sql-interactive-mode buffer naming is broken

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 May 2018 05:37:50 +0300

> Date: Tue, 22 May 2018 10:08:05 +1200
> From: Phil Sainty <[email-masked]>
> Cc: [email-masked], [email-masked],
>  bug-gnu-emacs-bounces+psainty=[email-masked], [email-masked]
> 
> On 2018-05-22 03:45, Eli Zaretskii wrote:
> > Thanks, I tried fixing it in a slightly different way, please take a
> > look.  I'd like to avoid releasing Emacs 26.1 with sql.el that was
> > broken by latest changes.
> 
> That seems to work, except for regressing this bit:
> 
> >> I *think* we'd want (consp new-name) for that test (especially as
> >> it ought to cover multiple uses of C-u)
> 
> With C-u C-u M-x sql-postgres I end up with buffer name "*SQL: (16)*"
> and "Process SQL: (16) finished" etc.

What is "C-u C-u" sup[posed to achieve?  It isn't called out in the
doc strings, AFAICS, is it?

> Another difference from Emacs 25 is that using a prefix arg in Emacs 25
> was guaranteed to create a new buffer/process (if the chosen buffer name
> conflicted then it was uniquified), whereas the new code is switching to
> the pre-existing buffer in the situation.

This will have to be dealt with after Emacs 26.1 release.

Thanks.